[arch-commits] Commit in xf86-video-radeonhd/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 31 11:54:28 EDT 2008


    Date: Sunday, August 31, 2008 @ 11:54:28
  Author: jgc
Revision: 11459

upgpkg: xf86-video-radeonhd 1.2.1-2

Modified:
  xf86-video-radeonhd/trunk/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-31 15:53:43 UTC (rev 11458)
+++ PKGBUILD	2008-08-31 15:54:28 UTC (rev 11459)
@@ -2,13 +2,14 @@
 # Maintainer:  <juergen at archlinux.org>
 pkgname=xf86-video-radeonhd
 pkgver=1.2.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Experimental Radeon HD video driver for r500 and r600 ATI cards"
 arch=(i686 x86_64)
 url="http://wiki.x.org/wiki/radeonhd"
 license=('custom')
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server' 'diffutils')
+makedepends=('pkgconfig' 'xorg-server>=1.4.99.906' 'diffutils')
+conflicts=('xorg-server<1.4.99.906')
 options=('!libtool')
 conflicts=('xf86-video-radeonhd-git')
 replaces=('xf86-video-radeonhd-git')
@@ -18,9 +19,9 @@
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr || return 1
+  make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
-  install -m644 -D ${startdir}/src/${pkgname}-${pkgver}/COPYING \
-                   ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE || return 1
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }




More information about the arch-commits mailing list